<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.DockerContainerInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.DockerContainerInfo">
        <id column="id" property="id" />
        <result column="get_time" property="getTime" />
        <result column="container_id" property="containerId" />
        <result column="image_name" property="imageName" />
        <result column="command" property="command" />
        <result column="created_at" property="createdAt" />
        <result column="ustatus" property="ustatus" />
        <result column="ports" property="ports" />
        <result column="unames" property="unames" />
        <result column="host_ip" property="hostIp" />
        <result column="doker_host_id" property="dokerHostId" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        get_time, id, container_id, image_name, command, created_at, ustatus, ports, unames, host_ip, doker_host_id, update_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
